/* tues 13/2 version 2 --- this is the general aviation questions page, solid blue, #454B1B */

body {
    font-size: 20px;
    font-family: Arial;
    background-image: url("https://i.imgur.com/bs679BA.jpg"); /* this image is the background (furthest) and always remains visible irrispective of question number */
    background-repeat: no-repeat;
    background-size: 2000px 1400px;
}

#container {
    margin: 10px auto;
    background-color: #ebe9e8;
    height: 800px; /* changes the distance between the progress circles and pic at the top */
    width: 1200px;
    border-radius: 5px;
    box-shadow: 5px 15px 20px 5px;
    position: relative;
    background-repeat: no-repeat;
    background-size: cover;
}

#backgroundOverlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(235, 233, 232, 0.7); /* Adjust opacity here */
}

/* this enlargens or downsizes the thin wire frame, ie using hieght and width  */
#start {
    font-size: 1.5em;
    font-weight: bolder;
    word-break: break-all;
    width: 600px;
    height: 650px;
    border: 2px solid black;
    text-align: center;
    cursor: pointer;
    position: absolute;
    left: 275px;
    top: 50px;
    color: black;
}

    #start:hover {
        border: 3px solid #8B0000;
        color: #482611;
    }

#quiz {
    justify-content: space-between;
}


.question-buttons {
    display: flex;
    align-items: start;
    gap: 20px;
    flex-direction: column;
    margin-left: 20px;
    width: 600px; /* Adjust the width as needed */
    padding-top: 20px;
}



/* .question-buttons button { */

/* width: 100%; /* Stretch the button to fill the container */



.question-text {
    display: inline-flex;
    flex-wrap: wrap;
    max-width: 870px;
    justify-content: flex-start;
    align-items: left;
}

#qImg {
    width: 300px;
    height: 300px;
    padding: 10px;
}

    /* this enlargens or downsizes the image use the w and h to ammend the dimensions  */
    #qImg img {
        width: 480px;
        height: 400px;
        border-top-left-radius: 5px; /* the next four lines give the pic rounded corners*/
        border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;
        border-bottom-left-radius: 5px;
        padding: 0px;
        border: 2px solid #a52a2a; /* Add border property */
        box-sizing: border-box; /* Include border in width/height calculation */
    }

#question {
    width: 1100px;
    height: 125px;
    position: absolute;
    right: -10px;
    left: 10px;
    top: 20px;
    padding-left: 2.5em;
    text-indent: -3em;
    background-color: #f2f2f2; /* Light grey background color */
    border: 2px solid #a52a2a; /* Light red-brown border */
    border-radius: 15px; /* Optional: Add border-radius for rounded corners */
}

    #question p {
        margin: 0;
        padding: 12px;
        font-size: 1.25em;
        font-style: normal;
        text-align: left;
    }

.choice {
    margin-left: 50px; /* Adjust the left margin to move the button to the right */
    padding: 10px 30px; /* Adjust the padding to enlarge the button */
    font-size: 16px;
    cursor: pointer;
}

#timer {
    position: absolute;
    height: 100px;
    width: 200px;
    bottom: 0px;
    text-align: center;
}

#counter {
    font-size: 3em;
}

#btimeGauge {
    width: 300px;
    height: 10px;
    border-radius: 5px;
    background-color: greenyellow;
    margin-left: 25px;
    border: 1px solid grey;
}

#timeGauge {
    height: 10px;
    border-radius: 10px;
    background-color: red;
    margin-top: -11px;
    margin-left: 25px;
}

#progress {
    width: 870px;
    position: absolute;
    bottom: 0px;
    right: 0px;
    padding: 20px;
    text-align: right;
}

.prog {
    width: 25px;
    height: 25px;
    border: 1px solid #000;
    display: inline-block;
    border-radius: 50%;
    margin-left: 5px;
    margin-right: 5px;
}

.socreDisplay {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px; /* this moves the score down the page */
    height: 60%;
    flex-direction: column;
}

#scoreContainer {
    position: absolute;
    top: 25%; /* Adjust to position vertically */
    left: 50%; /* Position horizontally */
    transform: translate(-50%, -50%); /* Center horizontally and vertically */
    width: 50%; /* Adjust width as needed */
    height: 55%; /* Adjust height as needed */
    margin: auto; /* Ensure centering */
    z-index: 2;
    background-color: white;
    opacity: 0.8; /* this is for the opacity of the final score square that shows up at the end */
    border-radius: 5px;
    box-shadow: 0px 5px 15px 0px;
    display: none;
}

    #scoreContainer img {
        position: absolute;
        top: 200px; /* this moves the image down the page */
        left: 163px;
    }

    #scoreContainer p {
        position: absolute;
        display: block;
        width: 59px;
        height: 59px;
        top: 130px;
        left: 325px;
        font-size: 1.5em;
        font-weight: bold;
        text-align: center;
        margin-top: 10px; /* Adjust as needed */
    }

.checkmark {
    margin-left: 5px;
    color: #fff; /* Text color of the checkmark */
    font-size: 1.2em;
}

.red-circle {
    display: inline-block;
    width: 20px;
    height: 20px;
    background-color: #f00;
    border-radius: 50%;
    margin-right: 10px; /* Adjust as needed */
}



body {
    font-family: Arial, sans-serif;
    text-align: center;
}

.container {
    margin-top: 100px;
}

#question {
    font-size: 18px; /* font size in the question  */
    margin-bottom: 200px;
    padding-bottom: 8px; /* Adjust the padding-top value to move the text higher */
    padding: 0; /* Reset padding */
    padding-left: 25px; /* Adjust the padding-left value to push the text to the right */
}

#options button {
    margin: 5px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
}

#result {
    margin-top: 20px;
    font-weight: bold;
}

.button-1-pushable {
    position: relative;
    border: none;
    background: transparent;
    padding: 0;
    cursor: pointer;
    outline-offset: 4px;
    transition: filter 250ms;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
}

.button-1-shadow {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    background: hsl(0deg 0% 0% / 0.45);
    will-change: transform;
    transform: translateY(2px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

.button-1-edge {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 12px;
    background: linear-gradient( to left, hsl(340deg 100% 16%) 0%, hsl(340deg 100% 32%) 8%, hsl(340deg 100% 32%) 92%, hsl(340deg 100% 16%) 100% );
}

.button-1-front {
    display: block;
    position: relative;
    padding: 12px 27px;
    border-radius: 12px;
    font-size: 1.1rem;
    color: white;
    background: hsl(0deg 0% 50%); /* Change to gray */
    will-change: transform;
    transform: translateY(-4px);
    transition: transform 600ms cubic-bezier(.3, .7, .4, 1);
}

@media (min-width: 768px) {
    .button-1-front {
        font-size: 1.25rem;
        padding: 12px 42px;
    }
}

.button-1-pushable:hover {
    filter: brightness(110%);
    -webkit-filter: brightness(110%);
}

    .button-1-pushable:hover .button-1-front {
        transform: translateY(-6px);
        transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
    }

.button-1-pushable:active .button-1-front {
    transform: translateY(-2px);
    transition: transform 34ms;
}

.button-1-pushable:hover .button-1-shadow {
    transform: translateY(4px);
    transition: transform 250ms cubic-bezier(.3, .7, .4, 1.5);
}

.button-1-pushable:active .button-1-shadow {
    transform: translateY(1px);
    transition: transform 34ms;
}

.button-1-pushable:focus:not(:focus-visible) {
    outline: none;
}

.button-container {
    display: flex;
    flex-direction: column;
    gap: 10px; /* Adjust the gap between buttons */
    align-items: flex-end; /* Align buttons to the right */
}

.button-1-front.text {
    display: inline-block;
    width: fit-content;
}

.nav-button-con {
    display: flex;
    margin: 20px;
    z-index: 1;
    width: calc(100% - 250px); /* Adjusted width to account for image width */
    justify-content: flex-end; /* Align buttons to the right */
    position: absolute;
    top: 590px; /* Adjusted top position. Space between the two blue buttons and the image above.  */
}

.nav-button {
    z-index: 1;
    background-color: #007bff;
    color: white;
    padding: 10px 30px;
    cursor: pointer;
    font-size: 16px;
    border-radius: 5px;
    border: none; /* Remove default border */
    box-shadow: 0 0 5px 2px rgba(5, 5, 5, 5.7); /* Darker and bigger shadow effect */
}

.back-button {
    margin-left: auto; /* Push the button to the right */
    margin-right: 20px; /* Add some additional margin if needed */
}

.nav-img-con {
    display: flex;
    width: 100%;
    gap: 10px;
    padding-top: 160px;
    z-index: 1;
}

.buttonend {
    /* Your button styles here */
    background-color: #4CAF50; /* Green */
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
}

.score-image {
    display: block;
    margin: 0 auto; /* Center the image horizontally */
    margin-left: 50px; /* Add margin to the left */
    margin-bottom: 40px; /* Add margin to the bottom */
    padding-bottom: 0px; /* Add padding to the bottom */
    width: 200px; /* Increase the width */
    height: auto; /* Automatically adjust height to maintain aspect ratio */
    border: 2px solid black; /* Add a border around the image */
}

/* Style the dropdown button ------------------------------------------------------here */
.dropbtn {
    display: inline-block;
    background-color: #00000000;
    color: white; /* everything below in this section is for the top buttons- this line is colour text of the top buttons */
    padding: 9px 38px;
    font-size: 17px;
    border: none;
    cursor: pointer;
    text-decoration: none;
    margin: 5px; /* Adjust spacing between buttons */
}

    /* Dropdown button on hover & focus */
    .dropbtn:hover, .dropbtn:focus {
        background-color: #edce02;
    }

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
    display: inline-block;
}

/* Dropdown Content (Hidden by Default) - Dropdown content this section changes the drop down look */
.dropdown-content {
    display: none;
    position: absolute;
    background: linear-gradient(to bottom, #FFA500 0%, #FFD700 50%, #FFA500 60%); /* Neon orange gradient */

    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

    /* Links inside the dropdown */
    .dropdown-content a {
        color: black;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        font-weight: bold; /* Make the text bold */
        font-size: 16px; /* Optionally increase the font size */
        background: linear-gradient(to bottom, #FFA500 0%, #FFD700 50%, #FFA500 60%); /* Neon orange gradient */
        margin-bottom: 5px; /* Adjust the margin as needed for space below each button */
    }

        /* Change color of dropdown links on hover */
        .dropdown-content a:hover {
            background: linear-gradient(to bottom, #00BFFF 0%, #87CEEB 50%, #00BFFF 60%); /* Lighter neon blue gradient */
        }

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
    display: block;
    border-radius: 0; /* Remove border-radius */
    background: none; /* Remove background */
    box-shadow: none; /* Remove box-shadow */
}

/* Change the color of the top button box whne the dropdown content is shown */
.dropdown:hover .dropbtn {
    background-color: #007FFF;
}

/* --------------------below is the go back button--------------------------------------------- */

.backneon-button-container {
    text-align: center; /* Center align the content */
}

.backneon-button {
    display: inline-block;
    width: 270px; /* Set the width of the button */
    height: 25px; /* Set the height of the button */
    background-color: #00ff00; /* Neon green */
    color: black;
    text-align: center;
    text-decoration: none;
    font-size: 20px;
    border: 1px solid #000; /* Black thin border */
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 0 0 10px #00ff00; /* Neon green glow */
    margin-left: -15px; /* Adjust the left margin as needed */
}

    .backneon-button:hover {
        background-color: #33ff33; /* Lighter neon green */
        box-shadow: 0 0 20px #33ff33; /* Lighter neon green glow */
    }
